Skip to content

VB-OS Node.js SDK Complete Reference

The VBOSClient exposes 27 resource namespaces as readonly properties, plus 5 top-level convenience methods. All methods return Promise<unknown>.

Method Signature Description
verify (kwargs) Submit workload for evaluation
verifyBatch (kwargs) Submit multiple workloads
validate (kwargs) Validate workload without recording
certify (projectId, kwargs) Initiate certification run
replay (projectId, evaluationId) Replay evaluation (delegates to evaluations.replay)

Method Signature
delete ()
cancelDelete ()
deletionStatus ()
export ()
exportLatest ()
exportStatus (exportId)
exportDownload (exportId)
Method Signature
create (projectId, kwargs)
list (projectId, opts?)
get (projectId, ruleId)
update (projectId, ruleId, kwargs)
delete (projectId, ruleId)
Method Signature
assertionRate (projectId, kwargs)
deferralRate (projectId, kwargs)
evaluations (projectId, kwargs)
failureReasons (projectId, kwargs)
latency (projectId, kwargs)
Method Signature
list (opts?)
export (kwargs)
exportStatus (exportId)
Method Signature
usage (kwargs)
subscription ()
invoices (kwargs)
Method Signature
list (projectId, opts?)
create (projectId, kwargs)
get (projectId, boundaryRef)
updateDraft (projectId, boundaryRef, kwargs)
submit (projectId, boundaryRef)
versions (projectId, boundaryRef, opts?)
getVersion (projectId, boundaryRef, versionId)
approve (projectId, boundaryRef, versionId)
reject (projectId, boundaryRef, versionId)
diff (projectId, boundaryRef, kwargs)
Method Signature
list (projectId, opts?)
create (projectId, kwargs)
createVersion (projectId, modelId, kwargs)
Method Signature
list (projectId, opts?)
get (projectId, runId)
getReport (projectId, runId)
wait (projectId, runId, opts?)
Method Signature
list (opts?)
schema (providerId)
Method Signature
create (projectId, kwargs)
list (projectId, opts?)
get (projectId, connectorId)
update (projectId, connectorId, kwargs)
delete (projectId, connectorId)
test (projectId, connectorId)
gather (projectId, connectorId, kwargs)
analytics (projectId, kwargs)
resources (projectId, connectorId, opts?)
schema (projectId, connectorId)
getSchedule (projectId, connectorId)
setSchedule (projectId, connectorId, kwargs)
listGathers (projectId, connectorId, opts?)
Method Signature
list (projectId, environmentId, opts?)
create (projectId, environmentId, kwargs)
active (projectId, environmentId)
approve (projectId, environmentId, deploymentId)
reject (projectId, environmentId, deploymentId)
promote (projectId, environmentId, kwargs)
rollback (projectId, environmentId, kwargs)
Method Signature
list (projectId, opts?)
create (projectId, kwargs)
get (projectId, environmentId)
update (projectId, environmentId, kwargs)
deactivate (projectId, environmentId)
reactivate (projectId, environmentId)
Method Signature
list (projectId, opts?)
get (projectId, evaluationId)
replay (projectId, evaluationId)
export (projectId, kwargs)
share (projectId, evaluationId)
getShared (token)
Method Signature
list (opts?)
get (slug)
Method Signature
create (projectId, kwargs)
list (projectId, opts?)
get (projectId, flowId)
update (projectId, flowId, kwargs)
delete (projectId, flowId)
export (projectId, flowId)
importFlow (projectId, kwargs)
fromTemplate (projectId, kwargs)
createVersion (projectId, flowId, kwargs)
listVersions (projectId, flowId, opts?)
getVersion (projectId, flowId, versionId)
updateVersion (projectId, flowId, versionId, kwargs)
deleteVersion (projectId, flowId, versionId)
approveVersion (projectId, flowId, versionId)
deploy (projectId, flowId, versionId, kwargs)
suspend (projectId, flowId, deploymentId)
dryRun (projectId, flowId, versionId, kwargs)
listExecutions (projectId, flowId, opts?)
reconstructExecution (projectId, flowId, executionId)
Method Signature
create (projectId, kwargs)
list (projectId, opts?)
get (projectId, workspaceId)
createVersion (projectId, workspaceId, kwargs)
getVersion (projectId, workspaceId, versionId)
submit (projectId, workspaceId, versionId)
approve (projectId, workspaceId, versionId)
deploy (projectId, workspaceId, versionId)
archive (projectId, workspaceId, versionId)
createInstance (projectId, workspaceId, kwargs)
submitInstance (projectId, workspaceId, instanceId)
getInstance (projectId, workspaceId, instanceId)
Method Signature
list (projectId, environmentId, opts?)
create (projectId, environmentId, kwargs)
get (projectId, environmentId, keyId)
rotate (projectId, environmentId, keyId)
revoke (projectId, environmentId, keyId)
disable (projectId, environmentId, keyId)
enable (projectId, environmentId, keyId)
Method Signature
list (opts?)
invite (kwargs)
setRole (userId, kwargs)
remove (userId)
suspend (userId)
reactivate (userId)
revokeInvitation (userId)
Method Signature
create (projectId, kwargs)
list (projectId, opts?)
get (projectId, namedSetId)
update (projectId, namedSetId, kwargs)
delete (projectId, namedSetId)
usage (projectId, namedSetId)
Method Signature
list (opts?)
read (notificationId)
unread (notificationId)
Method Signature
get ()
update (kwargs)
getSettings ()
updateSettings (kwargs)
getAiPolicy ()
updateAiPolicy (kwargs)
transferOwnership (kwargs)
acceptTransfer (transferId)
cancelTransfer (transferId)
getTransfer ()
Method Signature
list (opts?)
create (kwargs)
get (projectId)
update (projectId, kwargs)
archive (projectId)
delete (projectId)
listMembers (projectId, opts?)
addMember (projectId, kwargs)
removeMember (projectId, assignmentId)
updateMember (projectId, assignmentId, kwargs)
Method Signature
list (opts?)
create (kwargs)
update (accountId, kwargs)
disable (accountId)
enable (accountId)
Method Signature
list (opts?)
get (slug)
fork (slug, kwargs)
Method Signature
me ()
organizations ()
Method Signature
list (projectId, opts?)
create (projectId, kwargs)
update (projectId, webhookId, kwargs)
delete (projectId, webhookId)
rotateSecret (projectId, webhookId)
deliveries (projectId, webhookId, opts?)
listOrg (opts?)
createOrg (kwargs)
Method Signature
list (opts?)
create (kwargs)
get (workspaceId)
update (workspaceId, kwargs)
archive (workspaceId)
delete (workspaceId)
listMembers (workspaceId, opts?)
addMember (workspaceId, kwargs)
removeMember (workspaceId, assignmentId)

All list methods accept an optional opts object with:

Field Type Default Description
limit number 20 Maximum items per page
cursor string Cursor for the next page
const page = await client.projects.list({ limit: 10 });
// Use page.cursor for the next page
  • kwargs: Object with snake_case fields. Positional parameters are path parameters; remaining fields are sent as body for mutating methods and as query parameters for read methods.
  • opts: Pagination options ({ limit?, cursor? })
  • Positional parameters (projectId, boundaryRef, etc.) are path parameters